CLI::Simple::Modulino(3pm)

NAME
CLI::Simple::Modulino - Create CLI wrapper around a modulino

SYNOPSIS
 # create $RealBin/my-app
 create-modulino -m My::App

 # create /usr/local/bin/my-app
 create-modulino -i /usr/local/bin -m My::App

 # create /usr/local/bin app
 create-modulino -a app -i /usr/local/bin -m My::App

  Options
 -h, --help            help
 -a, --alias           name of the modulino (default: lower cased snake cased module name)
 -m, --module          module name - Perl module implementing the modulino
 -i, --installbindir   executable directory

Example:

 create-modulino -i /usr/local/bin -a find-requires -m Module::ScanDeps::FindRequires

DESCRIPTION
Creates a so called wrapper for a so-called "modulino". Modulinos are Perl modules that use the pattern:

 caller or exit __PACKAGE__->main

...to flexibly use a Perl module as a script.

See CLI::Simple for more information about modulinos.

AUTHOR
Rob Lauer - <rlauer@treasurersbriefcase.com>

SEE ALSO
CLI::Simple